/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.bindings.deploymentplan;

/**
 * "Implemenation" class for Deployment Plans, extending the JAXB generated class.
 * @author Mickaël LEDUQUE
 */
public class ExtendedDeploymentPlan extends DeploymentPlan {

    /**
     * {@inheritDoc}
     */
    public String toString() {
        StringBuilder sb = new StringBuilder("DeploymentPlan -");
        sb.append("id=");
        sb.append(this.getId());
        sb.append(":atomic=");
        sb.append(this.isAtomic());
        sb.append(":deployments=");
        sb.append(this.getDeployments().size());

        return sb.toString();
    }
}
